// greg hedin
"use strict";
var Clipboard = (function () {
    function Clipboard() {
    }
    Clipboard.init = function () {
        window.addEventListener('copy', function (e) {
            e.clipboardData.setData('text/plain', Clipboard._data);
            // e.preventDefault() // this disables 'ctrl + c' 
        });
    };
    Clipboard._data = '';
    // MSIE boolean
    Clipboard.POS = !!window.clipboardData;
    Clipboard.copy = function (data) {
        Clipboard._data = data;
        if (!Clipboard.POS) {
            document.execCommand('copy');
        }
        else if (!!window.clipboardData) {
            window.clipboardData.setData('Text', Clipboard._data);
        }
    };
    return Clipboard;
}());
exports.Clipboard = Clipboard;
Clipboard.init();
//# sourceMappingURL=ts-clipboard.js.map